import { u as n, C as _, M as v, a as T } from "./Menu-CniMpPmC.js";
import { j as a } from "./jsx-runtime-tc70JA_2.js";
import "@synnaxlabs/x";
import { C as e } from "./css-D90kZTM8.js";
/* empty css                 */
import { a as E } from "./Box-Bi280MYh.js";
import { B as j } from "./Copy-COWBkO_v.js";
import { C as S, c as b, d as g } from "./Animated-CO--9HPM.js";
const i = ({
  className: o,
  padded: t = !1,
  color: r,
  ...s
}) => (t === !0 && (t = "center"), /* @__PURE__ */ a.jsx(
  E,
  {
    className: e(
      e.B("divider"),
      t !== !1 && e.BM("divider", "padded"),
      typeof t == "string" && e.loc(t),
      o
    ),
    borderColor: r,
    color: r,
    ...s
  }
)), A = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Divider: i
}, Symbol.toStringTag, { value: "Module" })), M = () => /* @__PURE__ */ a.jsx(i, { className: e.BE("menu", "divider"), x: !0, padded: !0 }), O = ({
  itemKey: o,
  className: t,
  onClick: r,
  size: s,
  ...l
}) => {
  const { onClick: c, selected: m, level: u = "p", gap: p, background: C } = n(), d = (x) => {
    c(o), r?.(x);
  }, f = m === o;
  return /* @__PURE__ */ a.jsx(
    j,
    {
      contrast: C,
      level: u,
      overflow: "nowrap",
      onClick: d,
      variant: "text",
      className: e(e.B("menu-item"), e.selected(f), t),
      size: s,
      gap: p,
      propagateClick: !0,
      ...l
    }
  );
}, L = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  CONTEXT_MENU_CLASS: S,
  CONTEXT_SELECTED: b,
  CONTEXT_TARGET: g,
  ContextMenu: _,
  Divider: M,
  Item: O,
  Menu: v,
  useContext: n,
  useContextMenu: T
}, Symbol.toStringTag, { value: "Module" }));
export {
  i as D,
  A as a,
  L as e
};
